Bug 1492343 - [abrt] libcdio: cdio_generic_free(): cd-drive killed by signal 11
Summary: [abrt] libcdio: cdio_generic_free(): cd-drive killed by signal 11
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libcdio
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b85881e8fd28330809ffd2b1015...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-16 15:14 UTC by Don Swaner
Modified: 2018-05-29 12:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:11:49 UTC
Type: ---


Attachments (Terms of Use)

Description Don Swaner 2017-09-16 15:14:25 UTC
Description of problem:
ran cd-drive command with no options.  It produced lots of resonable looking output.
It also produced about 18 repeated lines of "Profile List Feature" followed by blank line .
The last reported item was "  Can write DVD+RW                        : No", before the abend.

Version-Release number of selected component:
libcdio-0.94-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cd-drive
crash_function: cdio_generic_free
executable:     /usr/bin/cd-drive
journald_cursor: s=e8f455c36df642a6bbee2603bfda3cee;i=4b965;b=f59fd7980ffc473da269d2ca2e444ae8;m=39ad834a6;t=5594fcaa16352;x=b62894456fab61ec
kernel:         4.12.12-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
[New LWP 4850]
Core was generated by `cd-drive'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  cdio_generic_free (p_user_data=0x190) at _cdio_generic.c:107
107	  if (p_env->source_name) free (p_env->source_name);

Thread 1 (LWP 4850):
#0  cdio_generic_free (p_user_data=0x190) at _cdio_generic.c:107
        p_env = 0x190
#1  0x00007fad818a13bd in cdio_destroy (p_cdio=0x563583109f40) at device.c:396
No locals.
#2  0x000056358230ec4d in myexit (cdio=<optimized out>, rc=0) at util.c:45
No locals.
#3  0x000056358230e5b1 in main (argc=<optimized out>, argv=<optimized out>) at cd-drive.c:348
        p_cdio = 0x563583109f40
From                To                  Syms Read   Shared Object Library
0x00007fad81ac2890  0x00007fad81ac89dc  Yes         /lib64/libiso9660.so.10
0x00007fad8189dc40  0x00007fad818b0a2f  Yes         /lib64/libcdio.so.16
0x00007fad81585f00  0x00007fad81602c5f  Yes         /lib64/libm.so.6
0x00007fad811ceb70  0x00007fad8132af73  Yes         /lib64/libc.so.6
0x00007fad81ccdc50  0x00007fad81cec590  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
rax            0x7fad8189dd50	140383179365712
rbx            0x190	400
rcx            0x7fad8157ab00	140383176076032
rdx            0x56358310a0e0	94787832160480
rsi            0x0	0
rdi            0x190	400
rbp            0x56358310a0d8	0x56358310a0d8
rsp            0x7fff22cfb010	0x7fff22cfb010
r8             0x56358310a0d0	94787832160464
r9             0x20	32
r10            0x56358231120b	94787817509387
r11            0x246	582
r12            0x7fff22cfb060	140733777424480
r13            0x56358310a0d0	94787832160464
r14            0x7fff22cfb05c	140733777424476
r15            0x5635823100c7	94787817504967
rip            0x7fad8189dd59	0x7fad8189dd59 <cdio_generic_free+9>
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function cdio_generic_free:
   0x00007fad8189dd50 <+0>:	test   %rdi,%rdi
   0x00007fad8189dd53 <+3>:	je     0x7fad8189ddc8 <cdio_generic_free+120>
   0x00007fad8189dd55 <+5>:	push   %rbx
   0x00007fad8189dd56 <+6>:	mov    %rdi,%rbx
=> 0x00007fad8189dd59 <+9>:	mov    (%rdi),%rdi
   0x00007fad8189dd5c <+12>:	test   %rdi,%rdi
   0x00007fad8189dd5f <+15>:	je     0x7fad8189dd66 <cdio_generic_free+22>
   0x00007fad8189dd61 <+17>:	callq  0x7fad8189d6a8
   0x00007fad8189dd66 <+22>:	mov    0x1028(%rbx),%rdi
   0x00007fad8189dd6d <+29>:	test   %rdi,%rdi
   0x00007fad8189dd70 <+32>:	je     0x7fad8189dd8e <cdio_generic_free+62>
   0x00007fad8189dd72 <+34>:	callq  0x7fad8189d7e0
   0x00007fad8189dd77 <+39>:	mov    0x1028(%rbx),%rdi
   0x00007fad8189dd7e <+46>:	callq  0x7fad8189d6a8
   0x00007fad8189dd83 <+51>:	movq   $0x0,0x1028(%rbx)
   0x00007fad8189dd8e <+62>:	mov    0x18(%rbx),%edi
   0x00007fad8189dd91 <+65>:	test   %edi,%edi
   0x00007fad8189dd93 <+67>:	jns    0x7fad8189ddb0 <cdio_generic_free+96>
   0x00007fad8189dd95 <+69>:	mov    0x15f0(%rbx),%rdi
   0x00007fad8189dd9c <+76>:	test   %rdi,%rdi
   0x00007fad8189dd9f <+79>:	je     0x7fad8189dda6 <cdio_generic_free+86>
   0x00007fad8189dda1 <+81>:	callq  0x7fad8189d6a8
   0x00007fad8189dda6 <+86>:	mov    %rbx,%rdi
   0x00007fad8189dda9 <+89>:	pop    %rbx
   0x00007fad8189ddaa <+90>:	jmpq   0x7fad8189d6a8
   0x00007fad8189ddaf <+95>:	nop
   0x00007fad8189ddb0 <+96>:	callq  0x7fad8189d868
   0x00007fad8189ddb5 <+101>:	mov    0x15f0(%rbx),%rdi
   0x00007fad8189ddbc <+108>:	test   %rdi,%rdi
   0x00007fad8189ddbf <+111>:	jne    0x7fad8189dda1 <cdio_generic_free+81>
   0x00007fad8189ddc1 <+113>:	jmp    0x7fad8189dda6 <cdio_generic_free+86>
   0x00007fad8189ddc3 <+115>:	nopl   0x0(%rax,%rax,1)
   0x00007fad8189ddc8 <+120>:	repz retq 
End of assembler dump.
== EXPLOITABLE ==

Comment 1 Don Swaner 2017-09-16 15:25:06 UTC
The bug reporting process did not successfully complete for some reason.

My cd-drive hardware is:

description: DVD-RAM writer
product: DVDRW  DU8AESH
vendor: hp PLDS
version: 6HS3
capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
configuration: ansiversion=5 status=nodisc

Comment 2 Don Swaner 2017-09-16 19:05:34 UTC
Similar problem has been detected:

ran cd-drive from gnome-terminal (wayland). hp PLDS DVDRW  DU8AESH version: 6HS3,
with nodisc.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        cd-drive
crash_function: cdio_generic_free
executable:     /usr/bin/cd-drive
journald_cursor: s=e8f455c36df642a6bbee2603bfda3cee;i=4baa8;b=f59fd7980ffc473da269d2ca2e444ae8;m=6eb4de821;t=559531b1716ce;x=af05a682b30241e7
kernel:         4.12.12-300.fc26.x86_64
package:        libcdio-0.94-2.fc26
reason:         cd-drive killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 3 Don Swaner 2017-09-16 19:10:00 UTC
Bug reporter terminated normally second time.

Comment 4 Fedora End Of Life 2018-05-03 08:48:27 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 12:11:49 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.